fribidi_get_bidi_type_name(3)

NAME
fribidi_get_bidi_type_name - get bidi type name

SYNOPSIS
#include <../fribidi-1.0.12/lib/fribidi.h>

const char *fribidi_get_bidi_type_name(FriBidiCharType t);

PARAMETERS

FriBidiCharType t
    Input bidi type.

    Since there are 23 possible values for a FriBidiCharType, they are not all listed here.

DESCRIPTION
This function returns the bidi type name of a character type. The returned string is a static string and should not be freed. The type names are the same as ones defined in Table 3.7 Bidirectional Character Types of the Unicode Bidirectional Algorithm available at http://www.unicode.org/reports/tr9/#Bidirectional_Character_Types, with a few modifications: L->LTR, R->RTL, B->BS, S->SS.

SEE ALSO
fribidi_shape_arabic(3), fribidi_get_par_direction(3), fribidi_get_par_embedding_levels_ex(3), fribidi_reorder_line(3), fribidi_get_bidi_type(3), fribidi_get_bidi_types(3), fribidi_charset_to_unicode(3), fribidi_unicode_to_charset(3), fribidi_parse_charset(3), fribidi_debug_status(3), fribidi_set_debug(3), fribidi_mirroring_status(3), fribidi_set_mirroring(3), fribidi_reorder_nsm_status(3), fribidi_set_reorder_nsm(3), fribidi_log2vis_get_embedding_levels(3), fribidi_get_type(3), fribidi_get_type_internal(3), fribidi_get_par_embedding_levels(3), fribidi_join_arabic(3), fribidi_get_joining_type(3), fribidi_get_joining_types(3), fribidi_get_joining_type_name(3), fribidi_get_mirror_char(3), fribidi_shape_mirroring(3), fribidi_get_bracket(3), fribidi_get_bracket_types(3), fribidi_shape(3), fribidi_remove_bidi_marks(3), fribidi_log2vis(3)